#ifndef CYGONCE_HAL_PLF_INTR_H
#define CYGONCE_HAL_PLF_INTR_H

//=============================================================================
//
//      plf_intr.h
//
//
//=============================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//=============================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):   Hao Tseng
// Contributors:
// Date:        2003/12/15
// Purpose:     
// Description: 
//              
//              
//              
//####DESCRIPTIONEND####
//
//=============================================================================
#include <pkgconf/hal.h>
#include <pkgconf/system.h>
#include CYGBLD_HAL_PLATFORM_H

// 
// RTC interrupt vector define
//
#define CYGNUM_HAL_INTERRUPT_RTC        (CYGHWR_NIOS2_RTC_VECTOR - CYGNUM_HAL_ISR_MIN)

#if CYGHWR_NIOS2_DIAG_USE_UART
#define CYGNUM_HAL_INTERRUPT_DIAG_UART  (CYGHWR_NIOS2_DIAG_UART_VECTOR - CYGNUM_HAL_ISR_MIN)
#endif

#define CYGNUM_HAL_INTERRUPT_LAN91C111  (CYGHWR_NIOS2_LAN91C111_IRQ_VECTOR - CYGNUM_HAL_ISR_MIN)
//
// Resset entry
//
#ifdef CYGSEM_HAL_VIRTUAL_VECTOR_SUPPORT

 #ifdef CYGHWR_NIOS2_USE_GERMS_MONITOR
    #ifdef CYG_HAL_STARTUP_ROM
        #define HAL_PLATFORM_RESET_ENTRY        (CYGHWR_NIOS2_PROGRAM_MEM_BEGIN_ADDRESS)
    #else
        #define HAL_PLATFORM_RESET_ENTRY        (CYGHWR_NIOS2_DATA_MEM_BEGIN_ADDRESS)
    #endif
 #else
    #define HAL_PLATFORM_RESET_ENTRY        (CYGHWR_NIOS2_RESET_ADDRESS)
 #endif

 #define HAL_PLATFORM_RESET()           \
 {                                      \
     goto *HAL_PLATFORM_RESET_ENTRY;    \
 }
 
#endif // ifdef CYGSEM_HAL_VIRTUAL_VECTOR_SUPPORT

//-----------------------------------------------------------------------------
#endif // ifndef CYGONCE_HAL_PLF_INTR_H
// End of plf_intr.h

